<?php

namespace Tests\App\Models;

use Tests\Support\ModelCrudTestCase;
use App\Models\ParentModel;

class ParentModelTest extends ModelCrudTestCase
{

    public function testCanInsertAndRetrieve()
    {
        $this->assertModelCanInsertAndRetrieve(ParentModel::class);
    }

    public function testCanUpdate()
    {
        $this->assertModelCanUpdate(ParentModel::class);
    }

    public function testCanDelete()
    {
        $this->assertModelCanDelete(ParentModel::class);
    }
}
